#pragma once

#include "resource.h"
class CBlockItem_Output;

// CBlockItem_OutputProps dialog

class CBlockItem_OutputProps : public CDialog
{
	DECLARE_DYNAMIC(CBlockItem_OutputProps)

public:
	CBlockItem_OutputProps(CWnd* pParent = NULL, CBlockItem_Output* pOwner = NULL);   // standard constructor
	virtual ~CBlockItem_OutputProps();

// Dialog Data
	enum { IDD = IDD_PORTPROPS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
private:
	CBlockItem_Output* m_pOwner;
	void DoDataExchangeComboBox(CDataExchange* pDX);
public:
	CString m_strName;
	DWORD m_dwPort;
	virtual BOOL OnInitDialog();
	BOOL UpdatePortList();
protected:
	virtual void OnCancel();
	virtual void OnOK();
public:
	afx_msg void OnBnClickedApply();
};
